#ifndef _INCLUDED_PICTURE_VIEW_H
#define _INCLUDED_PICTURE_VIEW_H

#include <Foundation/NSGeometry.h>
#include <AppKit/NSView.h>
#include <AppKit/NSImageView.h>
#include "PHDefs.h"

@class Selection;
@class Fragment;
@class Stack;

@interface PictureView : NSView
{
    NSImage * _image;
    NSImage * _sketch;
    
    int _rotation;

    Fragment * _fragm;
    Stack * _fragms;

    // redundant, can be determined from _fragm and current frame
    NSAffineTransform * _fragm_to_sketch;

    Selection * _selection;
}

- (id) initWithFrame: (NSRect) rect;
- (void) setImage: (NSImage *) image;
- (void) rotate;
- (void) rotateWithDirection: (PHRotateDirection) direction;
- (void) clip;
- (void) undo;
- (BOOL) saveSceneToFile: (NSString *) path;

@end // @interface PictureView

#endif // _INCLUDED_PICTURE_VIEW_H
